@echo off

cls
bin\asw  -xx -c -A de\build.asm
IF NOT EXIST de\build.p goto LABLPAUSE
IF EXIST de\build.p goto Convert2ROM
:Convert2ROM
bin\p2bin de\build.p de\build.bin -l 32 -r $-$
del de\build.p
del de\build.h
echo building...
bin\split.exe de\build.bin
del de\build.bin
exit /b
:LABLPAUSE

pause


exit /b